Bug 1001275 - gammaray : duplicate documentation files / potentially conflicting
gammaray : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gammaray (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 16:04 EDT by Michael Schwendt
Modified: 2015-11-01 20:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 13:20:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 16:04:52 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> gammaray-1.3.0-5.fc20.src.rpm
=> gammaray-1.3.0-5.fc20.i686 in fedora-development-i386
  File conflict with: gammaray-doc-1.3.0-5.fc20.noarch
     /usr/share/doc/gammaray/html/annotated.html
     /usr/share/doc/gammaray/html/bc_s.png
     /usr/share/doc/gammaray/html/bdwn.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ProbeInterface-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ProbeInterface.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.png
     /usr/share/doc/gammaray/html/classes.html
     /usr/share/doc/gammaray/html/closed.png
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23.html
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.map
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.md5
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.png
     /usr/share/doc/gammaray/html/doxygen.css
     /usr/share/doc/gammaray/html/doxygen.png
     /usr/share/doc/gammaray/html/dynsections.js
     /usr/share/doc/gammaray/html/files.html
     /usr/share/doc/gammaray/html/ftv2blank.png
     /usr/share/doc/gammaray/html/ftv2cl.png
     /usr/share/doc/gammaray/html/ftv2doc.png
     /usr/share/doc/gammaray/html/ftv2folderclosed.png
     /usr/share/doc/gammaray/html/ftv2folderopen.png
     /usr/share/doc/gammaray/html/ftv2lastnode.png
     /usr/share/doc/gammaray/html/ftv2link.png
     /usr/share/doc/gammaray/html/ftv2mlastnode.png
     /usr/share/doc/gammaray/html/ftv2mnode.png
     /usr/share/doc/gammaray/html/ftv2mo.png
     /usr/share/doc/gammaray/html/ftv2node.png
     /usr/share/doc/gammaray/html/ftv2ns.png
     /usr/share/doc/gammaray/html/ftv2plastnode.png
     /usr/share/doc/gammaray/html/ftv2pnode.png
     /usr/share/doc/gammaray/html/ftv2splitbar.png
     /usr/share/doc/gammaray/html/ftv2vertline.png
     /usr/share/doc/gammaray/html/functions.html
     /usr/share/doc/gammaray/html/functions_func.html
     /usr/share/doc/gammaray/html/graph_legend.html
     /usr/share/doc/gammaray/html/graph_legend.md5
     /usr/share/doc/gammaray/html/graph_legend.png
     /usr/share/doc/gammaray/html/hierarchy.html
     /usr/share/doc/gammaray/html/index.html
     /usr/share/doc/gammaray/html/inherit_graph_0.map
     /usr/share/doc/gammaray/html/inherit_graph_0.md5
     /usr/share/doc/gammaray/html/inherit_graph_0.png
     /usr/share/doc/gammaray/html/inherit_graph_1.map
     /usr/share/doc/gammaray/html/inherit_graph_1.md5
     /usr/share/doc/gammaray/html/inherit_graph_1.png
     /usr/share/doc/gammaray/html/inherit_graph_2.map
     /usr/share/doc/gammaray/html/inherit_graph_2.md5
     /usr/share/doc/gammaray/html/inherit_graph_2.png
     /usr/share/doc/gammaray/html/inherit_graph_3.map
     /usr/share/doc/gammaray/html/inherit_graph_3.md5
     /usr/share/doc/gammaray/html/inherit_graph_3.png
     /usr/share/doc/gammaray/html/inherit_graph_4.map
     /usr/share/doc/gammaray/html/inherit_graph_4.md5
     /usr/share/doc/gammaray/html/inherit_graph_4.png
     /usr/share/doc/gammaray/html/inherits.html
     /usr/share/doc/gammaray/html/jquery.js
     /usr/share/doc/gammaray/html/kdab-gammaray-logo-16x16.png
     /usr/share/doc/gammaray/html/kdab-logo-16x16.png
     /usr/share/doc/gammaray/html/metatypedeclarations_8h.html
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.map
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.md5
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.png
     /usr/share/doc/gammaray/html/metatypedeclarations_8h_source.html
     /usr/share/doc/gammaray/html/namespaceGammaRay_1_1ObjectModel.html
     /usr/share/doc/gammaray/html/namespaceGammaRay_1_1Util.html
     /usr/share/doc/gammaray/html/namespacemembers.html
     /usr/share/doc/gammaray/html/namespacemembers_enum.html
     /usr/share/doc/gammaray/html/namespacemembers_eval.html
     /usr/share/doc/gammaray/html/namespacemembers_func.html
     /usr/share/doc/gammaray/html/namespaces.html
     /usr/share/doc/gammaray/html/nav_f.png
     /usr/share/doc/gammaray/html/nav_g.png
     /usr/share/doc/gammaray/html/nav_h.png
     /usr/share/doc/gammaray/html/objectmodel_8h.html
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.map
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.png
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.map
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.md5
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.png
     /usr/share/doc/gammaray/html/objectmodel_8h_source.html
     /usr/share/doc/gammaray/html/objectmodelbase_8h.html
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.map
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.png
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.map
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.md5
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.png
     /usr/share/doc/gammaray/html/objectmodelbase_8h_source.html
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h.html
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.map
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.md5
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.png
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h_source.html
     /usr/share/doc/gammaray/html/open.png
     /usr/share/doc/gammaray/html/probeinterface_8h.html
     /usr/share/doc/gammaray/html/probeinterface_8h_source.html
     /usr/share/doc/gammaray/html/search/all_61.html
     /usr/share/doc/gammaray/html/search/all_61.js
     /usr/share/doc/gammaray/html/search/all_63.html
     /usr/share/doc/gammaray/html/search/all_63.js
     /usr/share/doc/gammaray/html/search/all_64.html
     /usr/share/doc/gammaray/html/search/all_64.js
     /usr/share/doc/gammaray/html/search/all_65.html
     /usr/share/doc/gammaray/html/search/all_65.js
     /usr/share/doc/gammaray/html/search/all_66.html
     /usr/share/doc/gammaray/html/search/all_66.js
     /usr/share/doc/gammaray/html/search/all_67.html
     /usr/share/doc/gammaray/html/search/all_67.js
     /usr/share/doc/gammaray/html/search/all_68.html
     /usr/share/doc/gammaray/html/search/all_68.js
     /usr/share/doc/gammaray/html/search/all_69.html
     /usr/share/doc/gammaray/html/search/all_69.js
     /usr/share/doc/gammaray/html/search/all_6d.html
     /usr/share/doc/gammaray/html/search/all_6d.js
     /usr/share/doc/gammaray/html/search/all_6e.html
     /usr/share/doc/gammaray/html/search/all_6e.js
     /usr/share/doc/gammaray/html/search/all_6f.html
     /usr/share/doc/gammaray/html/search/all_6f.js
     /usr/share/doc/gammaray/html/search/all_70.html
     /usr/share/doc/gammaray/html/search/all_70.js
     /usr/share/doc/gammaray/html/search/all_72.html
     /usr/share/doc/gammaray/html/search/all_72.js
     /usr/share/doc/gammaray/html/search/all_73.html
     /usr/share/doc/gammaray/html/search/all_73.js
     /usr/share/doc/gammaray/html/search/all_74.html
     /usr/share/doc/gammaray/html/search/all_74.js
     /usr/share/doc/gammaray/html/search/all_75.html
     /usr/share/doc/gammaray/html/search/all_75.js
     /usr/share/doc/gammaray/html/search/all_76.html
     /usr/share/doc/gammaray/html/search/all_76.js
     /usr/share/doc/gammaray/html/search/classes_6f.html
     /usr/share/doc/gammaray/html/search/classes_6f.js
     /usr/share/doc/gammaray/html/search/classes_70.html
     /usr/share/doc/gammaray/html/search/classes_70.js
     /usr/share/doc/gammaray/html/search/classes_73.html
     /usr/share/doc/gammaray/html/search/classes_73.js
     /usr/share/doc/gammaray/html/search/classes_74.html
     /usr/share/doc/gammaray/html/search/classes_74.js
     /usr/share/doc/gammaray/html/search/close.png
     /usr/share/doc/gammaray/html/search/enums_72.html
     /usr/share/doc/gammaray/html/search/enums_72.js
     /usr/share/doc/gammaray/html/search/enumvalues_6f.html
     /usr/share/doc/gammaray/html/search/enumvalues_6f.js
     /usr/share/doc/gammaray/html/search/enumvalues_75.html
     /usr/share/doc/gammaray/html/search/enumvalues_75.js
     /usr/share/doc/gammaray/html/search/files_6d.html
     /usr/share/doc/gammaray/html/search/files_6d.js
     /usr/share/doc/gammaray/html/search/files_6f.html
     /usr/share/doc/gammaray/html/search/files_6f.js
     /usr/share/doc/gammaray/html/search/files_70.html
     /usr/share/doc/gammaray/html/search/files_70.js
     /usr/share/doc/gammaray/html/search/files_73.html
     /usr/share/doc/gammaray/html/search/files_73.js
     /usr/share/doc/gammaray/html/search/files_74.html
     /usr/share/doc/gammaray/html/search/files_74.js
     /usr/share/doc/gammaray/html/search/files_75.html
     /usr/share/doc/gammaray/html/search/files_75.js
     /usr/share/doc/gammaray/html/search/functions_61.html
     /usr/share/doc/gammaray/html/search/functions_61.js
     /usr/share/doc/gammaray/html/search/functions_63.html
     /usr/share/doc/gammaray/html/search/functions_63.js
     /usr/share/doc/gammaray/html/search/functions_64.html
     /usr/share/doc/gammaray/html/search/functions_64.js
     /usr/share/doc/gammaray/html/search/functions_65.html
     /usr/share/doc/gammaray/html/search/functions_65.js
     /usr/share/doc/gammaray/html/search/functions_66.html
     /usr/share/doc/gammaray/html/search/functions_66.js
     /usr/share/doc/gammaray/html/search/functions_68.html
     /usr/share/doc/gammaray/html/search/functions_68.js
     /usr/share/doc/gammaray/html/search/functions_69.html
     /usr/share/doc/gammaray/html/search/functions_69.js
     /usr/share/doc/gammaray/html/search/functions_6e.html
     /usr/share/doc/gammaray/html/search/functions_6e.js
     /usr/share/doc/gammaray/html/search/functions_6f.html
     /usr/share/doc/gammaray/html/search/functions_6f.js
     /usr/share/doc/gammaray/html/search/functions_70.html
     /usr/share/doc/gammaray/html/search/functions_70.js
     /usr/share/doc/gammaray/html/search/functions_73.html
     /usr/share/doc/gammaray/html/search/functions_73.js
     /usr/share/doc/gammaray/html/search/functions_76.html
     /usr/share/doc/gammaray/html/search/functions_76.js
     /usr/share/doc/gammaray/html/search/mag_sel.png
     /usr/share/doc/gammaray/html/search/namespaces_67.html
     /usr/share/doc/gammaray/html/search/namespaces_67.js
     /usr/share/doc/gammaray/html/search/nomatches.html
     /usr/share/doc/gammaray/html/search/pages_67.html
     /usr/share/doc/gammaray/html/search/pages_67.js
     /usr/share/doc/gammaray/html/search/search.css
     /usr/share/doc/gammaray/html/search/search.js
     /usr/share/doc/gammaray/html/search/search_l.png
     /usr/share/doc/gammaray/html/search/search_m.png
     /usr/share/doc/gammaray/html/search/search_r.png
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h.html
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.map
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.md5
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.png
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h_source.html
     /usr/share/doc/gammaray/html/sync_off.png
     /usr/share/doc/gammaray/html/sync_on.png
     /usr/share/doc/gammaray/html/tab_a.png
     /usr/share/doc/gammaray/html/tab_b.png
     /usr/share/doc/gammaray/html/tab_h.png
     /usr/share/doc/gammaray/html/tab_s.png
     /usr/share/doc/gammaray/html/tabs.css
     /usr/share/doc/gammaray/html/toolfactory_8h.html
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.map
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.md5
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.png
     /usr/share/doc/gammaray/html/toolfactory_8h_source.html
     /usr/share/doc/gammaray/html/util_8h.html
     /usr/share/doc/gammaray/html/util_8h__dep__incl.map
     /usr/share/doc/gammaray/html/util_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/util_8h__dep__incl.png
     /usr/share/doc/gammaray/html/util_8h__incl.map
     /usr/share/doc/gammaray/html/util_8h__incl.md5
     /usr/share/doc/gammaray/html/util_8h__incl.png
     /usr/share/doc/gammaray/html/util_8h_source.html

=> gammaray-1.3.0-5.fc20.src.rpm
=> gammaray-doc-1.3.0-5.fc20.noarch in fedora-development-i386
  File conflict with: gammaray-1.3.0-5.fc20.i686
     /usr/share/doc/gammaray/html/annotated.html
     /usr/share/doc/gammaray/html/bc_s.png
     /usr/share/doc/gammaray/html/bdwn.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectFilterProxyModelBase__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectModelBase__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ObjectTypeFilterProxyModel__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ProbeInterface-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ProbeInterface.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1SingleColumnObjectProxyModel__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1StandardToolFactory__inherit__graph.png
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory-members.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory.html
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.map
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.md5
     /usr/share/doc/gammaray/html/classGammaRay_1_1ToolFactory__inherit__graph.png
     /usr/share/doc/gammaray/html/classes.html
     /usr/share/doc/gammaray/html/closed.png
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23.html
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.map
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.md5
     /usr/share/doc/gammaray/html/dir_d44c64559bbebec7f509842c48db8b23_dep.png
     /usr/share/doc/gammaray/html/doxygen.css
     /usr/share/doc/gammaray/html/doxygen.png
     /usr/share/doc/gammaray/html/dynsections.js
     /usr/share/doc/gammaray/html/files.html
     /usr/share/doc/gammaray/html/ftv2blank.png
     /usr/share/doc/gammaray/html/ftv2cl.png
     /usr/share/doc/gammaray/html/ftv2doc.png
     /usr/share/doc/gammaray/html/ftv2folderclosed.png
     /usr/share/doc/gammaray/html/ftv2folderopen.png
     /usr/share/doc/gammaray/html/ftv2lastnode.png
     /usr/share/doc/gammaray/html/ftv2link.png
     /usr/share/doc/gammaray/html/ftv2mlastnode.png
     /usr/share/doc/gammaray/html/ftv2mnode.png
     /usr/share/doc/gammaray/html/ftv2mo.png
     /usr/share/doc/gammaray/html/ftv2node.png
     /usr/share/doc/gammaray/html/ftv2ns.png
     /usr/share/doc/gammaray/html/ftv2plastnode.png
     /usr/share/doc/gammaray/html/ftv2pnode.png
     /usr/share/doc/gammaray/html/ftv2splitbar.png
     /usr/share/doc/gammaray/html/ftv2vertline.png
     /usr/share/doc/gammaray/html/functions.html
     /usr/share/doc/gammaray/html/functions_func.html
     /usr/share/doc/gammaray/html/graph_legend.html
     /usr/share/doc/gammaray/html/graph_legend.md5
     /usr/share/doc/gammaray/html/graph_legend.png
     /usr/share/doc/gammaray/html/hierarchy.html
     /usr/share/doc/gammaray/html/index.html
     /usr/share/doc/gammaray/html/inherit_graph_0.map
     /usr/share/doc/gammaray/html/inherit_graph_0.md5
     /usr/share/doc/gammaray/html/inherit_graph_0.png
     /usr/share/doc/gammaray/html/inherit_graph_1.map
     /usr/share/doc/gammaray/html/inherit_graph_1.md5
     /usr/share/doc/gammaray/html/inherit_graph_1.png
     /usr/share/doc/gammaray/html/inherit_graph_2.map
     /usr/share/doc/gammaray/html/inherit_graph_2.md5
     /usr/share/doc/gammaray/html/inherit_graph_2.png
     /usr/share/doc/gammaray/html/inherit_graph_3.map
     /usr/share/doc/gammaray/html/inherit_graph_3.md5
     /usr/share/doc/gammaray/html/inherit_graph_3.png
     /usr/share/doc/gammaray/html/inherit_graph_4.map
     /usr/share/doc/gammaray/html/inherit_graph_4.md5
     /usr/share/doc/gammaray/html/inherit_graph_4.png
     /usr/share/doc/gammaray/html/inherits.html
     /usr/share/doc/gammaray/html/jquery.js
     /usr/share/doc/gammaray/html/kdab-gammaray-logo-16x16.png
     /usr/share/doc/gammaray/html/kdab-logo-16x16.png
     /usr/share/doc/gammaray/html/metatypedeclarations_8h.html
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.map
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.md5
     /usr/share/doc/gammaray/html/metatypedeclarations_8h__incl.png
     /usr/share/doc/gammaray/html/metatypedeclarations_8h_source.html
     /usr/share/doc/gammaray/html/namespaceGammaRay_1_1ObjectModel.html
     /usr/share/doc/gammaray/html/namespaceGammaRay_1_1Util.html
     /usr/share/doc/gammaray/html/namespacemembers.html
     /usr/share/doc/gammaray/html/namespacemembers_enum.html
     /usr/share/doc/gammaray/html/namespacemembers_eval.html
     /usr/share/doc/gammaray/html/namespacemembers_func.html
     /usr/share/doc/gammaray/html/namespaces.html
     /usr/share/doc/gammaray/html/nav_f.png
     /usr/share/doc/gammaray/html/nav_g.png
     /usr/share/doc/gammaray/html/nav_h.png
     /usr/share/doc/gammaray/html/objectmodel_8h.html
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.map
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/objectmodel_8h__dep__incl.png
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.map
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.md5
     /usr/share/doc/gammaray/html/objectmodel_8h__incl.png
     /usr/share/doc/gammaray/html/objectmodel_8h_source.html
     /usr/share/doc/gammaray/html/objectmodelbase_8h.html
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.map
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/objectmodelbase_8h__dep__incl.png
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.map
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.md5
     /usr/share/doc/gammaray/html/objectmodelbase_8h__incl.png
     /usr/share/doc/gammaray/html/objectmodelbase_8h_source.html
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h.html
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.map
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.md5
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h__incl.png
     /usr/share/doc/gammaray/html/objecttypefilterproxymodel_8h_source.html
     /usr/share/doc/gammaray/html/open.png
     /usr/share/doc/gammaray/html/probeinterface_8h.html
     /usr/share/doc/gammaray/html/probeinterface_8h_source.html
     /usr/share/doc/gammaray/html/search/all_61.html
     /usr/share/doc/gammaray/html/search/all_61.js
     /usr/share/doc/gammaray/html/search/all_63.html
     /usr/share/doc/gammaray/html/search/all_63.js
     /usr/share/doc/gammaray/html/search/all_64.html
     /usr/share/doc/gammaray/html/search/all_64.js
     /usr/share/doc/gammaray/html/search/all_65.html
     /usr/share/doc/gammaray/html/search/all_65.js
     /usr/share/doc/gammaray/html/search/all_66.html
     /usr/share/doc/gammaray/html/search/all_66.js
     /usr/share/doc/gammaray/html/search/all_67.html
     /usr/share/doc/gammaray/html/search/all_67.js
     /usr/share/doc/gammaray/html/search/all_68.html
     /usr/share/doc/gammaray/html/search/all_68.js
     /usr/share/doc/gammaray/html/search/all_69.html
     /usr/share/doc/gammaray/html/search/all_69.js
     /usr/share/doc/gammaray/html/search/all_6d.html
     /usr/share/doc/gammaray/html/search/all_6d.js
     /usr/share/doc/gammaray/html/search/all_6e.html
     /usr/share/doc/gammaray/html/search/all_6e.js
     /usr/share/doc/gammaray/html/search/all_6f.html
     /usr/share/doc/gammaray/html/search/all_6f.js
     /usr/share/doc/gammaray/html/search/all_70.html
     /usr/share/doc/gammaray/html/search/all_70.js
     /usr/share/doc/gammaray/html/search/all_72.html
     /usr/share/doc/gammaray/html/search/all_72.js
     /usr/share/doc/gammaray/html/search/all_73.html
     /usr/share/doc/gammaray/html/search/all_73.js
     /usr/share/doc/gammaray/html/search/all_74.html
     /usr/share/doc/gammaray/html/search/all_74.js
     /usr/share/doc/gammaray/html/search/all_75.html
     /usr/share/doc/gammaray/html/search/all_75.js
     /usr/share/doc/gammaray/html/search/all_76.html
     /usr/share/doc/gammaray/html/search/all_76.js
     /usr/share/doc/gammaray/html/search/classes_6f.html
     /usr/share/doc/gammaray/html/search/classes_6f.js
     /usr/share/doc/gammaray/html/search/classes_70.html
     /usr/share/doc/gammaray/html/search/classes_70.js
     /usr/share/doc/gammaray/html/search/classes_73.html
     /usr/share/doc/gammaray/html/search/classes_73.js
     /usr/share/doc/gammaray/html/search/classes_74.html
     /usr/share/doc/gammaray/html/search/classes_74.js
     /usr/share/doc/gammaray/html/search/close.png
     /usr/share/doc/gammaray/html/search/enums_72.html
     /usr/share/doc/gammaray/html/search/enums_72.js
     /usr/share/doc/gammaray/html/search/enumvalues_6f.html
     /usr/share/doc/gammaray/html/search/enumvalues_6f.js
     /usr/share/doc/gammaray/html/search/enumvalues_75.html
     /usr/share/doc/gammaray/html/search/enumvalues_75.js
     /usr/share/doc/gammaray/html/search/files_6d.html
     /usr/share/doc/gammaray/html/search/files_6d.js
     /usr/share/doc/gammaray/html/search/files_6f.html
     /usr/share/doc/gammaray/html/search/files_6f.js
     /usr/share/doc/gammaray/html/search/files_70.html
     /usr/share/doc/gammaray/html/search/files_70.js
     /usr/share/doc/gammaray/html/search/files_73.html
     /usr/share/doc/gammaray/html/search/files_73.js
     /usr/share/doc/gammaray/html/search/files_74.html
     /usr/share/doc/gammaray/html/search/files_74.js
     /usr/share/doc/gammaray/html/search/files_75.html
     /usr/share/doc/gammaray/html/search/files_75.js
     /usr/share/doc/gammaray/html/search/functions_61.html
     /usr/share/doc/gammaray/html/search/functions_61.js
     /usr/share/doc/gammaray/html/search/functions_63.html
     /usr/share/doc/gammaray/html/search/functions_63.js
     /usr/share/doc/gammaray/html/search/functions_64.html
     /usr/share/doc/gammaray/html/search/functions_64.js
     /usr/share/doc/gammaray/html/search/functions_65.html
     /usr/share/doc/gammaray/html/search/functions_65.js
     /usr/share/doc/gammaray/html/search/functions_66.html
     /usr/share/doc/gammaray/html/search/functions_66.js
     /usr/share/doc/gammaray/html/search/functions_68.html
     /usr/share/doc/gammaray/html/search/functions_68.js
     /usr/share/doc/gammaray/html/search/functions_69.html
     /usr/share/doc/gammaray/html/search/functions_69.js
     /usr/share/doc/gammaray/html/search/functions_6e.html
     /usr/share/doc/gammaray/html/search/functions_6e.js
     /usr/share/doc/gammaray/html/search/functions_6f.html
     /usr/share/doc/gammaray/html/search/functions_6f.js
     /usr/share/doc/gammaray/html/search/functions_70.html
     /usr/share/doc/gammaray/html/search/functions_70.js
     /usr/share/doc/gammaray/html/search/functions_73.html
     /usr/share/doc/gammaray/html/search/functions_73.js
     /usr/share/doc/gammaray/html/search/functions_76.html
     /usr/share/doc/gammaray/html/search/functions_76.js
     /usr/share/doc/gammaray/html/search/mag_sel.png
     /usr/share/doc/gammaray/html/search/namespaces_67.html
     /usr/share/doc/gammaray/html/search/namespaces_67.js
     /usr/share/doc/gammaray/html/search/nomatches.html
     /usr/share/doc/gammaray/html/search/pages_67.html
     /usr/share/doc/gammaray/html/search/pages_67.js
     /usr/share/doc/gammaray/html/search/search.css
     /usr/share/doc/gammaray/html/search/search.js
     /usr/share/doc/gammaray/html/search/search_l.png
     /usr/share/doc/gammaray/html/search/search_m.png
     /usr/share/doc/gammaray/html/search/search_r.png
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h.html
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.map
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.md5
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h__incl.png
     /usr/share/doc/gammaray/html/singlecolumnobjectproxymodel_8h_source.html
     /usr/share/doc/gammaray/html/sync_off.png
     /usr/share/doc/gammaray/html/sync_on.png
     /usr/share/doc/gammaray/html/tab_a.png
     /usr/share/doc/gammaray/html/tab_b.png
     /usr/share/doc/gammaray/html/tab_h.png
     /usr/share/doc/gammaray/html/tab_s.png
     /usr/share/doc/gammaray/html/tabs.css
     /usr/share/doc/gammaray/html/toolfactory_8h.html
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.map
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.md5
     /usr/share/doc/gammaray/html/toolfactory_8h__incl.png
     /usr/share/doc/gammaray/html/toolfactory_8h_source.html
     /usr/share/doc/gammaray/html/util_8h.html
     /usr/share/doc/gammaray/html/util_8h__dep__incl.map
     /usr/share/doc/gammaray/html/util_8h__dep__incl.md5
     /usr/share/doc/gammaray/html/util_8h__dep__incl.png
     /usr/share/doc/gammaray/html/util_8h__incl.map
     /usr/share/doc/gammaray/html/util_8h__incl.md5
     /usr/share/doc/gammaray/html/util_8h__incl.png
     /usr/share/doc/gammaray/html/util_8h_source.html
Comment 1 Michael Schwendt 2013-12-14 13:20:31 EST
This has been fixed.


  %dir %{_docdir}/gammaray

is missing in both packages, however. 
https://fedoraproject.org/wiki/Packaging:UnownedDirectories


And glibc-devel doesn't need to be specified as BuildRequires (in the same way you would not specify libstdc++-devel gcc-c++ gcc):
https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Note You need to log in before you can comment on or make changes to this bug.